#include "main.h"
#include "graphics.h"

static const char* right_menu[] = {
  "FREQ",
  "AMPL",
  "TYPE",
  NULL
};

void dds_screen_render()
{
  tft.fillScreen(TFT_BLACK);

  graphics_sinusoide_sprite.pushSprite(10, 20);

  tft.setTextColor(TFT_WHITE,TFT_BLACK);
  tft.setTextSize(1);
  tft.setTextDatum(TL_DATUM);

  int y = 80;
  tft.setCursor(10, y, 4);
  tft.print("FREQ: ");
  if (true) tft.setTextColor(TFT_BLACK, TFT_WHITE);
  else tft.setTextColor(TFT_WHITE, TFT_BLACK);
  tft.printf("%dMHz\n", 2);
  y += tft.fontHeight();

  tft.setTextColor(TFT_WHITE, TFT_BLACK);
  tft.setCursor(10, y, 4);
  tft.printf("AMPL: %dV\n", 15);
  y += tft.fontHeight();

  tft.setTextColor(TFT_WHITE, TFT_BLACK);
  tft.setCursor(10, y, 4);
  tft.printf("TYPE: %s\n", "SIN");

  draw_right_menu(right_menu);
  draw_bottom_mode("DDS");
}